
QGIS Application - Bug report #8109

Heatmap module uses DOS 8.3-compatible file extensions for GeoTIFF

2013-06-18 11:28 AM - Aren Cambre

Status: Closed

Priority: Normal

Assignee:

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Windows 7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: upstream

Crashes QGIS or corrupts data:No Copied to github as #: 16944

Description

When creating a new GeoTIFF heatmap, the Heatmap module uses a .tif extension. Please use .tiff. .tif is a holdover from the DOS 8.3

filename days.

History

#1 - 2013-06-19 06:51 PM - Nyall Dawson

- Resolution set to upstream

- Status changed from Open to Closed

The default file extension for a format is taken from the GDAL metadata for that format. Unfortunately, for GeoTiff GDAL's extension is "tif" (see line 9943 in

frmts/gtiff/geotiff.cpp in the GDAL source). Can you please file this on GDAL's tracker (http://trac.osgeo.org/gdal/report), and report the response back

here?

#2 - 2013-06-19 07:40 PM - Aren Cambre

Done: http://trac.osgeo.org/gdal/ticket/5124. The line number was a little different in trunk.

#3 - 2013-06-20 08:08 PM - Aren Cambre

I got rejected: http://trac.osgeo.org/gdal/ticket/5124

:-)
